Subject: RE: draft-otis-fc-sctp-ip-00.txt

From: [email-masked]
Date: Fri, 25 Aug 2000 18:41:58 -0400

A couple of comments:

- This discussion should be moved onto the ips mailing
list ([email-masked]) as further IETF work on FC-over-IP
will occur there.  Despite it's name, the fcoverip draft
has not been an official work item of the ipfc WG.  The
use of the ipfc list rather than ips is completely
understandable, as the draft was misnamed, nonetheless,
further discussion should be on ips.

- Wayland wrote:

> I guess, what I'm trying to say is that someone should clearly state the
requirements for
> FCoverIP. If the requirements are that it simply run on a private tuned
network which can
> virtually guarantee a loss-less medium, then I would argue that we don't
need congestion
> control and hence a retry mechanism. I would also argue that FCoverIP is a
niche, proprietary
> solution which probably does not belong in IETF since it is not intended
for the internet.

Not only is that a good argument, it is in fact basically the
position of the IETF, as conveyed by the Area Directors to the
authors of the FC-over-IP draft - congestion control is REQUIRED
if the work is to advance in the IETF because otherwise the
protocol would be unsuitable for the internet.  Whether to have
a retry mechanism is an engineering decision that can be made as
the work progresses (an implementation that didn't have to buffer
for retransmission might consume less memory than one that did),
but congestion control is REQUIRED, period.

Thanks,
--David (co-chair of the ips WG-to-be)

p.s. For those on ips and not ipfc, I'm going to forward the ipfc
	discussion in a separate message.

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140, FAX: +1 (508) 497-6909
[email-masked]  Cellular: +1 (978) 394-7754
---------------------------------------------------